<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>U-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-20.html">Prev Letter</a></li>
<li><a href="index-22.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-21.html" target="_top">Frames</a></li>
<li><a href="index-21.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="../projectx/engine/ui/UIImageButton.html" title="class in projectx.engine.ui"><span class="typeNameLink">UIImageButton</span></a> - Class in <a href="../projectx/engine/ui/package-summary.html">projectx.engine.ui</a></dt>
<dd>
<div class="block">This class is responsible for creating a UIImage button</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/ui/UIImageButton.html#UIImageButton-projectx.engine.Handler-float-float-int-int-org.newdawn.slick.opengl.Texture:A-">UIImageButton(Handler, float, float, int, int, Texture[])</a></span> - Constructor for class projectx.engine.ui.<a href="../projectx/engine/ui/UIImageButton.html" title="class in projectx.engine.ui">UIImageButton</a></dt>
<dd>
<div class="block">This constructor takes in the handler, location, width and height and the image texture array of a button to be added.</div>
</dd>
<dt><a href="../projectx/engine/ui/UIObject.html" title="class in projectx.engine.ui"><span class="typeNameLink">UIObject</span></a> - Class in <a href="../projectx/engine/ui/package-summary.html">projectx.engine.ui</a></dt>
<dd>
<div class="block">This class is a template for all UIObjects that might be added to a state</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/ui/UIObject.html#UIObject-projectx.engine.Handler-float-float-int-int-">UIObject(Handler, float, float, int, int)</a></span> - Constructor for class projectx.engine.ui.<a href="../projectx/engine/ui/UIObject.html" title="class in projectx.engine.ui">UIObject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/player/Controls.html#update--">update()</a></span> - Method in class projectx.engine.controls.player.<a href="../projectx/engine/controls/player/Controls.html" title="class in projectx.engine.controls.player">Controls</a></dt>
<dd>
<div class="block">This method updates the controls class for a specific playable creature</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Animation.html#update--">update()</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Animation.html" title="class in projectx.engine.glgfx">Animation</a></dt>
<dd>
<div class="block">This method updates the current frame being animated</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/input/Input.html#update--">update()</a></span> - Method in class projectx.engine.input.<a href="../projectx/engine/input/Input.html" title="class in projectx.engine.input">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#update--">update()</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This is the update method, it updates everything in regards to each creature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#update--">update()</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/EntityManager.html#update--">update()</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities">EntityManager</a></dt>
<dd>
<div class="block">This method updates the position of entities on a screen and sorts them from top to bottom.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html#update--">update()</a></span> - Method in class projectx.engine.managers.entities.nonmoving.<a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html" title="class in projectx.engine.managers.entities.nonmoving">Nonmoving</a></dt>
<dd>
<div class="block">This method is responsible for updating the object</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/objects/Objects.html#update--">update()</a></span> - Method in class projectx.engine.managers.entities.objects.<a href="../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects">Objects</a></dt>
<dd>
<div class="block">This method is responsible for updating the object</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/items/Item.html#update--">update()</a></span> - Method in class projectx.engine.managers.items.<a href="../projectx/engine/managers/items/Item.html" title="class in projectx.engine.managers.items">Item</a></dt>
<dd>
<div class="block">The method updates the items to be rendered in the world.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/items/ItemManager.html#update--">update()</a></span> - Method in class projectx.engine.managers.items.<a href="../projectx/engine/managers/items/ItemManager.html" title="class in projectx.engine.managers.items">ItemManager</a></dt>
<dd>
<div class="block">This method updates the items in the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/locators/Locator.html#update--">update()</a></span> - Method in class projectx.engine.managers.locators.<a href="../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></dt>
<dd>
<div class="block">This method is responsible for updating the position of the object</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/locators/LocatorManager.html#update--">update()</a></span> - Method in class projectx.engine.managers.locators.<a href="../projectx/engine/managers/locators/LocatorManager.html" title="class in projectx.engine.managers.locators">LocatorManager</a></dt>
<dd>
<div class="block">This method updates the position of locators on a screen and sorts them from top to bottom.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/GameState.html#update--">update()</a></span> - Method in class projectx.engine.state.<a href="../projectx/engine/state/GameState.html" title="class in projectx.engine.state">GameState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MapBuilderMenuState.html#update--">update()</a></span> - Method in class projectx.engine.state.<a href="../projectx/engine/state/MapBuilderMenuState.html" title="class in projectx.engine.state">MapBuilderMenuState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MapBuilderState.html#update--">update()</a></span> - Method in class projectx.engine.state.<a href="../projectx/engine/state/MapBuilderState.html" title="class in projectx.engine.state">MapBuilderState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MenuState.html#update--">update()</a></span> - Method in class projectx.engine.state.<a href="../projectx/engine/state/MenuState.html" title="class in projectx.engine.state">MenuState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/MultiplayerMenuState.html#update--">update()</a></span> - Method in class projectx.engine.state.<a href="../projectx/engine/state/MultiplayerMenuState.html" title="class in projectx.engine.state">MultiplayerMenuState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/state/State.html#update--">update()</a></span> - Method in class projectx.engine.state.<a href="../projectx/engine/state/State.html" title="class in projectx.engine.state">State</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/Mode.html#update--">update()</a></span> - Method in class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/Mode.html" title="class in projectx.engine.terminal.modes">Mode</a></dt>
<dd>
<div class="block">If the terminal needs to update every cycle, update.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/StdIO.html#update--">update()</a></span> - Method in class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/StdIO.html" title="class in projectx.engine.terminal.modes">StdIO</a></dt>
<dd>
<div class="block">Not used</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/Window.html#update--">update()</a></span> - Method in class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/Window.html" title="class in projectx.engine.terminal.modes">Window</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/Terminal.html#update--">update()</a></span> - Method in class projectx.engine.terminal.<a href="../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></dt>
<dd>
<div class="block">Update method that is called from the Engine, will check the input
 and reset the previous char variable.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/tile/Tile.html#update--">update()</a></span> - Method in class projectx.engine.tile.<a href="../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></dt>
<dd>
<div class="block">This method is responsible for updating rendered tiles.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/ui/UIImageButton.html#update--">update()</a></span> - Method in class projectx.engine.ui.<a href="../projectx/engine/ui/UIImageButton.html" title="class in projectx.engine.ui">UIImageButton</a></dt>
<dd>
<div class="block">This method updates a button for when it is hovered over and clicked.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/ui/UIObject.html#update--">update()</a></span> - Method in class projectx.engine.ui.<a href="../projectx/engine/ui/UIObject.html" title="class in projectx.engine.ui">UIObject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/worlds/Map.html#update--">update()</a></span> - Method in class projectx.engine.worlds.<a href="../projectx/engine/worlds/Map.html" title="class in projectx.engine.worlds">Map</a></dt>
<dd>
<div class="block">Update the map</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/worlds/World.html#update--">update()</a></span> - Method in class projectx.engine.worlds.<a href="../projectx/engine/worlds/World.html" title="class in projectx.engine.worlds">World</a></dt>
<dd>
<div class="block">This method updates all items and entities in the world.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/DataProtocol.html#update--">update()</a></span> - Method in class projectx.game.client.<a href="../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></dt>
<dd>
<div class="block">Recieves the JSON object from the server and deposits it in to the entity manager</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/EntityManager.html#updateCreature-int-projectx.engine.managers.entities.creatures.Creature-">updateCreature(int, Creature)</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities">EntityManager</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/utils/Utils.html" title="class in projectx.engine.utils"><span class="typeNameLink">Utils</span></a> - Class in <a href="../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></dt>
<dd>
<div class="block">This method is a utilities class which loads in the world file which is converted into an actual world.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Utils.html#Utils--">Utils()</a></span> - Constructor for class projectx.engine.utils.<a href="../projectx/engine/utils/Utils.html" title="class in projectx.engine.utils">Utils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-20.html">Prev Letter</a></li>
<li><a href="index-22.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-21.html" target="_top">Frames</a></li>
<li><a href="index-21.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
